Subject: Re: bug#33567: Syntactic fontification of diff hunks

From: Juri Linkov <[email-masked]>
Date: Tue, 25 Dec 2018 22:35:23 +0200

> Speaking of ttys, green and red look foreground looks kind of okay for me
> in that context. However, diff-refine-* faces are simply defined
> as :inverse-video. And now, with the new feature, when e.g. there is a face
> that spans the whole line (like a comment), both diff-refine-added and
> diff-refine-removed faces look the same. Which is a problem. I don't have
> easy suggestions except defining specific background for them instead of
> inverse-video. And at that point we can drop the green/red foregrounds if
> people prefer.

What do you think about this solution that combines both
green/red foreground colors with syntax colors:

https://gist.github.com/skanev/0eeb943e3111a1df55fd